<template>
    <div>
        <div class="popup">
            <div class="popup__header"><p>Корзина заказа</p><a style="cursor: pointer" @click="hide_cart_order"><div class="icon-modal-close"></div></a></div>
            <div class="popup__form">
                <h3>Оставьте свои контакты</h3>
                <input @input="update_contacts" :value="contacts.name" type="text" name="name" placeholder="Ваше имя" />
                <input @input="update_contacts" :value="contacts.email" type="email" name="email" placeholder="Email" />
                <input @input="update_contacts" :value="contacts.phone" type="tel" name="phone" placeholder="Телефон" />
                <p>Комментарий к заказу</p>
                <textarea @input="update_contacts" :value="contacts.comment" name="comment"></textarea>
            </div>
            <nav>
                <a v-if="cart_sending" class="order__button" rel="nofollow">Отправляется...</a>
                <a v-else class="order__button" @click="cart_send" rel="nofollow">Заказать</a>
            </nav>
        </div>
    </div>
</template>

<script>
  import { mapMutations, mapState, mapActions } from 'vuex';

  export default {
    name: 'CartOrder',
    computed: {
      ...mapState('cart', ['contacts', 'cart_sending'])
    },
    methods: {
      ...mapMutations('cart', ['hide_cart_order', 'update_contacts']),
      ...mapActions('cart', ['send_cart']),
      cart_send: function () {
        this.send_cart()
          .then(() => this.$parent.$refs.success.open())
          .catch(() => this.$parent.$refs.error.open());
      }
    }
  }
</script>

<style scoped>

</style>
